org.apache.lucene.util

## Class TestRuleStoreClassName

- java.lang.Object
- - org.apache.lucene.util.TestRuleStoreClassName

- All Implemented Interfaces:
    org.junit.rules.TestRule

      public class TestRuleStoreClassName
      extends Object
      implements org.junit.rules.TestRule

  Stores the suite name so you can retrieve it from `getTestClass()`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TestRuleStoreClassName()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.junit.runners.model.Statement` | `apply(org.junit.runners.model.Statement s, Description d)`
    `Class<?>` | `getTestClass()` Returns the test class currently executing in this rule.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TestRuleStoreClassName

          public TestRuleStoreClassName()

  - ### Method Detail

    - #### apply

          public org.junit.runners.model.Statement apply(org.junit.runners.model.Statement s,
                                                Description d)

      Specified by:
        `apply` in interface `org.junit.rules.TestRule`

    - #### getTestClass

          public Class<?> getTestClass()

      Returns the test class currently executing in this rule.

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.